List back-to-back links (tenant:trade:contract:read)
GET /api/trade/v1/contracts/back-to-back
Module: Trade · operationId: listBackToBackLinks · Tag: Contracts · Auth: access token (Authorization: Bearer <accessToken>)
Newest first.
Responses
- 200 Links (
application/json) - 401 No valid session or bearer token (no body).
Fields of the 200 answer:
items(array of BackToBackLink, required)allocatedMargin(number): Margin allocated to the link.createdAt(string (date-time), read-only): When the link was created.customerContractId(string (uuid)): Id of the customer contract.customerNo(string, read-only): Customer number of the tenant.id(string (uuid), read-only): Id of the back-to-back link.notes(string): Free-text notes.supplierContractId(string (uuid)): Id of the supplier contract.tenantName(string, read-only): Name of the tenant.
Example 200 answer:
{
"items": [
{
"allocatedMargin": 42,
"createdAt": "2026-01-05T09:00:00Z",
"customerContractId": "0e1f2a3b-4c5d-4e6f-8a7b-9c0d1e2f3a07",
"customerNo": "99999",
"id": "6b7c8d9e-0f1a-4b2c-9d3e-4f5a6b7c8d01",
"notes": "Cloud-Server kanzlei-srv01 bei ITC Riemer",
"supplierContractId": "0e1f2a3b-4c5d-4e6f-8a7b-9c0d1e2f3a03",
"tenantName": "DEMO"
}
]
}
Example request
curl -X GET 'https://api.mbcom.cloud/api/trade/v1/contracts/back-to-back' \
-H "Authorization: Bearer $ACCESS_TOKEN"